"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.noHash = exports.defaultGenerateHash = void 0;
/**
 * Generates a 7 chars long hash of a given tag.
 */
const defaultGenerateHash = (tag) => {
    let hash = 0;
    for (let i = 0; i < tag.length; i++) {
        const char = tag.charCodeAt(i);
        hash = (hash << 5) - hash + char;
        hash &= hash; // Convert to 32bit integer
    }
    return new Uint32Array([hash])[0].toString(36);
};
exports.defaultGenerateHash = defaultGenerateHash;
/**
 * Empty implementation of hash generator, for disabling it.
 */
const noHash = (tag) => tag;
exports.noHash = noHash;
//# sourceMappingURL=hash.js.map