"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoryCacheTagsRegistry = void 0;
/**
 * A Cache-Tags registry implemented using memory, for testing purposes.
 */
class MemoryCacheTagsRegistry {
    constructor() {
        this.register = (path, tags) => {
            var _a;
            for (const tag of tags) {
                const map = (_a = this.store.get(tag)) !== null && _a !== void 0 ? _a : new Map();
                map.set(path, true);
                this.store.set(tag, map);
            }
        };
        this.extract = (tag) => {
            var _a;
            const map = (_a = this.store.get(tag)) !== null && _a !== void 0 ? _a : new Map();
            const paths = [...map.keys()];
            this.store.delete(tag);
            return paths;
        };
        this.store = new Map();
    }
}
exports.MemoryCacheTagsRegistry = MemoryCacheTagsRegistry;
//# sourceMappingURL=memory.js.map