import type { RedisClientType, RedisClientOptions, RedisModules, RedisFunctions, RedisScripts } from 'redis';
import { CacheTagsRegistry } from './type';
/**
 * A Cache-Tags registry implemented using Redis.
 */
declare class RedisCacheTagsRegistry<M extends RedisModules = RedisModules, F extends RedisFunctions = RedisFunctions, S extends RedisScripts = RedisScripts> implements CacheTagsRegistry {
    private client;
    private acting;
    private connecting?;
    private disconnecting?;
    constructor(config: RedisClientOptions<M, F, S>);
    /**
     * Perform async actions on the store with ensured read/write.
     */
    act: <R>(action: (client: RedisClientType<M, F, S>) => Promise<R>) => Promise<R>;
    register: (path: string, tags: string[]) => Promise<void>;
    extract: (tag: string) => Promise<string[]>;
}
export { RedisCacheTagsRegistry };
